package com.hdp.pi.domain.kolon;

import java.io.Serializable;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

@Document(collection = "pi_shop")
public class MongoPiShop implements Serializable{

	private static final long serialVersionUID = 1L;
	
	@Id
	public String id;
	
	@Field("shop_name")
	public String shopName;
	
	@Field("shop_address")
	public String shopAddress;
	
	@Field("ent_code")
	public Integer entCode;
	
	@Field("location")
	public Double[] location;
	
	@Field("phone")
	public String phone;
	
	@Field("shop_code")
	public String shopCode;

}
